---
title: pydo.vector_databases.get_restore_status()
description: Retrieve the Status of a Restore
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/vector_databases/get_restore_status/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.vector_databases.get_restore_status()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.vector_databases.get_restore_status(
    id="\"example string\"",
    backup_id="\"example string\"",
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To check the status of a restore operation, send a GET request to [`/v2/vector-databases/{id}/backups/{backup_id}/restore`](https://docs.digitalocean.com/reference/api/reference/vector-databases/index.html.md#vectorDatabases_get_restore_status). The response body contains the current status of the restore.

## Parameters

`id` string required

Required. ID of the vector database.

`backup_id` string required

Required. ID of the backup being restored.

## Response Example

## Show Response Example

```json
{
  "backup_id": "123e4567-e89b-12d3-a456-426614174000",
  "error": "example string",
  "status": "example string"
}
```

## More Information

See [`/v2/vector-databases/{id}/backups/{backup_id}/restore`](https://docs.digitalocean.com/reference/api/reference/vector-databases/index.html.md#vectorDatabases_get_restore_status) in the API reference for additional detail on responses, headers, parameters, and more.